# -*- coding: utf-8 -*-
#
# String constants for the RHN Register TUI/GUI.
# Copyright (c) 2000-2010 Red Hat, Inc.
#
# Author:
#       James Slagle <jslagle@redhat.com>


import gettext
t = gettext.translation('rhn-client-tools', fallback=True)
_ = t.ugettext

COPYRIGHT_TEXT        = _(u"Copyright © 2006--2010 Red Hat, Inc. All rights reserved.")

# Connect Window
CONNECT_WINDOW        = _("Attempting to contact the Unbreakable Linux Network server.")
CONNECT_WINDOW_TEXT   = _("We are attempting to contact the Unbreakable Linux "
                          "Network server at %s.")
CONNECT_WINDOW_TEXT2  = _("A proxy was specified at %s.")                          

# Start Window
START_REGISTER_WINDOW = _("Setting up Software updates")
START_REGISTER_TEXT   = _("This assistant will guide you through " 
                          "connecting your system to "
                          "Unbreakable Linux Network (ULN) to receive software "
                          "updates, including "
                          "security updates, to keep your system supported "
                          "and compliant.  "
                          "You will need the following at this time:\n\n"
                          " * A network connection\n"
                          " * Your Oracle Single Sign-On Login & password\n\n")

# Why Register Window
WHY_REGISTER          = _("Why Should I Connect to ULN? ...")                  
WHY_REGISTER_WINDOW   = _("Why connect to Unbreakable Linux Network?")
WHY_REGISTER_TEXT     = _("Connecting your system to Unbreakable Linux Network allows you to take full "
                          "advantage of the benefits of a paid subscription, including:")
WHY_REGISTER_SEC      = _("Security & Updates:")
WHY_REGISTER_DLD      = _("Downloads & Upgrades:")
WHY_REGISTER_SUPP     = _("Support:")
WHY_REGISTER_COMP     = _("Compliance:")
WHY_REGISTER_SEC_TXT  = _("Receive the latest software updates, including security updates, keeping this "
                          "Oracle Linux system updated and secure.")
WHY_REGISTER_DLD_TXT  = _("Download installation images for Oracle Linux releases, "
                          "including new releases.")
WHY_REGISTER_SUPP_TXT = _("Access to the technical support experts at Oracle or Oracle's partners for help "
                          "with any issues you might encounter with this system.")
WHY_REGISTER_COMP_TXT = _("Stay in compliance with your subscription agreement "
                          "and manage subscriptions "
                          "for systems connected to your account at "
                          "http://linux.oracle.com/.")
WHY_REGISTER_TIP      = _("Tip: Oracle values your privacy: "
                          "http://www.oracle.com/html/privacy.html")
BACK_REGISTER         = _("Take me back to the setup process.")

# Confirm Quit Window
CONFIRM_QUIT           = _("Software update setup unsuccessful")
CONFIRM_QUIT_SURE       = _("Are you sure you don't want to connect your system to Unbreakable Linux Network? "
                           "You'll miss out on the benefits of an Unbreakable Linux Support subscription:\n")
CONFIRM_QUIT_WILLNOT       = _("You will not be able to take advantage of these subscription privileges without connecting "
                           "your system to Unbreakable Linux Network.\n")
CONTINUE_REGISTERING   = _("Take me back to the setup process.")
REGISTER_LATER2        = _("I'll register later.")

# Info Window
REGISTER_WINDOW   = _("Setting up software updates")
LOGIN_PROMPT      = _("Please enter your login information for the Unbreakable "
                    "Linux Network:\n")
HOSTED_LOGIN      = _("Oracle Single Sign-On Login:")
LOGIN             = _("Login:")
PASSWORD          = _("Password:")
CSI		  = _("CSI:")
LOGIN_TIP         = _("Tip: Forgot your login or password?  Contact your "
                      "Satellite's Organization Administrator.")
USER_REQUIRED     = _("Please enter a login.")
PASSWORD_REQUIRED = _("Please enter a password.")
CSI_REQUIRED      = _("Please enter a CSI.")

# OS Release Window
SELECT_OSRELEASE             = _("Select Operating System Release")
OS_VERSION                   = _("Operating System version:")
MINOR_RELEASE                = _(" Minor Release: ")
LIMITED_UPDATES              = _("Limited Updates Only")
ALL_UPDATES                  = _("All available updates")
CONFIRM_OS_RELEASE_SELECTION = _("Confirm operating system release selection")
CONFIRM_OS_ALL               = _("Your system will be subscribed to the base"
                                 " software channel to receive all available"
                                 " updates.")

# Hardware Window
HARDWARE_WINDOW = _("Register a System Profile - Hardware")
HARDWARE_WINDOW_DESC1 = _("A Profile Name is a descriptive name that"
                          " you choose to identify this System Profile"
                          " on the Unbreakable Linux Network web pages. Optionally,"
                          " include a computer serial or identification number.")
HARDWARE_WINDOW_DESC2 = _("Additional hardware information including PCI"
                          " devices, disk sizes and mount points will be"
                          " included in the profile.")
HARDWARE_WINDOW_CHECKBOX = _("Include the following information about hardware"
                             " and network:")

# Packages Window
PACKAGES_WINDOW         = _("Register a System Profile - Packages")
PACKAGES_WINDOW_DESC1   = _("RPM information is important to determine what"
                          " updated software packages are relevant to this"
                          " system.")
PACKAGES_WINDOW_DESC2   = _("Include RPM packages installed on this system"
                          " in my System Profile")
PACKAGES_WINDOW_UNCHECK = _("You may deselect individual packages by"
                            " unchecking them below.")
PACKAGES_WINDOW_PKGLIST = _("Building Package List")

# Product Window
HOSTED_LOGIN_PROMPT    = _("Please enter your login information for Unbreakable "
                           "Linux Network (http://linux.oracle.com/):\n\n")
HOSTED_LOGIN_TIP       = _("Tip: Forgot your login or password? " 
                            "Visit: http://www.oracle.com/corporate/contact/getaccthelp.html")
EMAIL                  = _("*Email Address:")

SYSTEM_ALREADY_SETUP = _("System already registered")
SYSTEM_ALREADY_REGISTERED = _("It appears this system has already been set up for software updates:")
SYSTEM_ALREADY_REGISTERED_CONT = _("Are you sure you would like to continue?")
RHSM_SYSTEM_ALREADY_REGISTERED = _("This system has already been registered     with ULN"
                " using ULN certficate-based technology.\n\n"
                "The tool you are using is attempting to re-register"
                " using ULN Classic technology. Oracle recommends "
                "(except in a few cases) that customers only register with ULN  once.\n\n"
                "To learn more about ULN registration and technologies please   consult "
                " http://linux.oracle.com")

# Send Window
SEND_WINDOW      = _("Send Profile Information to Unbreakable Linux Network")
SEND_WINDOW_DESC = _("We are finished collecting information for the System Profile.\n\n"
                     "Press \"Next\" to send this System Profile to Unbreakable Linux Network.  "
                     "Click \"Cancel\" and no information will be sent.  "
                     "You can run the registration program later by "
                     "typing `uln_register` at the command line.")

# Sending Window
SENDING_WINDOW = _("Sending Profile to Unbreakable Linux Network")

# Finish Window
FINISH_WINDOW           = _("Finish setting up software updates")
FINISH_WINDOW_TEXT_TUI  = _("You may now run 'yum update' from this system's "
                            "command line to get the latest "
                            "software updates from Unbreakable Linux Network. You will need to run this "
                            "periodically to "
                            "get the latest updates.")

# Ksplice Window
KSPLICE_WINDOW         = _("Configure rebootless updates")
KSPLICE_REGISTERED     = _("Your system registration qualifies for rebootless "
                        "kernel updates using Oracle Ksplice technology.  "
                        "Would you like to configure your system to access "
                        "those updates at this time?")
KSPLICE_NOT_REGISTERED  = _("Your system registration qualifies for rebootless "
                            "kernel updates using Oracle Ksplice technology.  "
                            "You do not already have a Ksplice access key.  "
                            "Would you like to obtain a Ksplice access key and "
                            "configure your system to access those updates at "
                            "this time?")
KSPLICE_CHECKBOX       = _("Yes, I want to configure my system to access "
                        "rebootless updates using Oracle Ksplice technology.")

# Ksplice Sending Window
KSPLICE_SENDING_WINDOW  = _("Configuring Ksplice repository")

# Review Window
REVIEW_WINDOW           = _("Review system subscription details")
REVIEW_WINDOW_PROMPT    = _("Please review the subscription details below:")
SUB_NUM                 = _("The installation number %s was activated during "
                            "this system's initial connection to Unbreakable Linux Network.")
SUB_NUM_RESULT          = _("Subscriptions have been activated for the following "
                            "Oracle products/services:")
CHANNELS_TITLE          = _("Software channel subscriptions:")
OK_CHANNELS             = _("This system will receive updates from the "
                            "following Unbreakable Linux Network software channels:")
CHANNELS_SAT_WARNING    = _("")
CHANNELS_HOSTED_WARNING = _("Warning: If an installed product on this system "
                            "is not listed above, you "
                            "will not receive updates or support for that "
                            "product. If you would like "
                            "to receive updates for that product, please "
                            "visit http://linux.oracle.com/ "
                            "and subscribe this system to the appropriate "
                            "software channels to get updates for that "
                            "product.")
YUM_PLUGIN_WARNING      = _("Warning: yum-rhn-plugin is not present, could not enable it.\n"
                            "Automatic updates will not work.")
YUM_PLUGIN_CONF_CHANGED = _("Note: yum-rhn-plugin has been enabled.")
YUM_PLUGIN_CONF_ERROR   = _("Warning: An error occurred during enabling yum-rhn-plugin.\n"
                            "yum-rhn-plugin is not enabled.\n"
                            "Automatic updates will not work.")
FAILED_CHANNELS         = _("You were unable to be subscribed to the following "
                            "software channels because there were insufficient "
                            "subscriptions available in your account:")
NO_BASE_CHANNEL            = _("")
SLOTS_TITLE             = _("ULN service level:")
OK_SLOTS                = _("Depending on what ULN modules are associated with a system, you'll "
                            "enjoy different benefits of Unbreakable Linux Network. The following are the "
                            "ULN modules associated with this system:")
SLOTS                   =  SLOTS_TITLE + "\n" + OK_SLOTS + "\n%s"
FAILED_SLOTS            = _("This system was unable to be associated with the "
                            "following ULN module(s) because there were "
                            "insufficient subscriptions available in your account:")
UPDATES                 = _("Update module: per-system updates, email errata "
                            "notifications, errata information")
MANAGEMENT              = _("Management module: automatic updates, systems "
                            "grouping, systems permissions, system package profiling")
PROVISIONING            = _("Provisioning module: bare-metal provisioning, existing state provisioning, "
                            "rollbacks, configuration management")
MONITORING              = _("Monitoring module: pre-defined and custom system " 
                            "performance probes, system performance email "
                            "notifications, graphs of system performance")

VIRT = _("Virtualization module: software updates for a limited number of "
        "virtual guests on this system.")

VIRT_PLATFORM = _("Virtualization Platform module: software updates for an "
        "unlimited number virtual guests of this system, access to additional "
        "software channels for guests of this system.")

VIRT_FAILED = _("<b>Warning:</b> Any guest systems you create on this system "
        "and register to ULN will consume Oracle Linux "
        "subscriptions beyond this host system's subscription. You will need "
        "to: (1) make a virtualization or virtualization platform system "
        "entitlement available and (2) apply that system entitlement to this "
        "system in ULN's web interface if you do not want virtual guests of "
        "this system to consume additional subscriptions.")

NO_SYS_ENTITLEMENT         = _("")
ACTIVATION_KEY          = _("Universal default activation key detected\n"
                            "A universal default activation key was detected in your ULN organization. "
                            "What this means is that a set of properties (software channel subscriptions, " 
                            "Unbreakable Linux Network service, package installations, system group memberships, etc.) "
                            "for your system's connection to Unbreakable Linux Network "
                            "have been determined by the activation key rather than your "
                            "installation number.  " 
                            "You may also refer to the ULN Reference Guide, section 6.4.6 for more details "
                            "about activation keys (http://linux.oracle.com/)\n"
                            "Universal Default activation key: %s")

# Error Messages.
FATAL_ERROR                = _("Fatal Error")
WARNING                    = _("Warning")
HOSTED_CONNECTION_ERROR    = _("We can't contact the Unbreakable Linux Network Server.\n\n"
                               "Double check the location provided - is '%s' correct?\n"
                               "If not, you can correct it and try again.\n\n"
                               "Make sure that the network connection on this system is operational.\n\n"
                               "This system will not be able to successfully receive software updates "
                               "from Oracle without connecting to a Unbreakable Linux Network server")

BASECHANNELERROR           = _("Architecture: %s, OS Release: %s, OS "
                               "Version: %s")
SERVER_TOO_OLD             = _("This server doesn't support functionality "
                               "needed by this version of the software update"
                               " setup client. Please try again with a newer "
                               "server.")


SSL_CERT_ERROR_MSG         = _("<b><span size=\"16000\">Incompatible Certificate File</span></b>\n\n"
                               "The certificate you provided, <b>%s</b>, is not compatible with "
                               " the Unbreakable Linux Network server at <b>%s</b>. You may want to double-check"
                               " that you have provided a valid certificate file."
                               " Are you sure you have provided the correct certificate, and that" 
                               " the certificate file has not been corrupted?\n\n"
                               "Please try again with a different certificate file.")

SSL_CERT_EXPIRED           = _("<b><span size=\"12000\">Incompatible Certificate File</span></b>\n\n"
                               " The certificate is expired. Please ensure you have the correct "
                               " certificate and your system time is correct.")

SSL_CERT_FILE_NOT_FOUND_ERRER = _("Please verify the value of sslCACert in "
                                  "/etc/sysconfig/rhn/up2date")

ACT_KEY_USAGE_LIMIT_ERROR = _("Problem registering system.\n\n"
                              " ")

CHANNEL_PAGE_TIP       = _("\n Tip: Minor releases with a '*' are currently"
                           " supported by Oracle.\n\n")

CHANNEL_PAGE_WARNING = _("Warning:You will not be able to limit this"
                          " system to minor release that is older than"
                          " the recent minor release if you select this"
                          " option.\n")
 
CONFIRM_OS_WARNING      = _("Your system will be subscribed to %s \n"
                            "base software channel. You will not be\n"
                            "able to move this system to an earlier release\n"
                            "(you will be able to move to a newer release).\n"
                            "Are you sure you would like to continue?")



# Navigation
OK        = _("OK")
ERROR     = _("Error")
NEXT      = _("Next")
BACK      = _("Back")
CANCEL    = _("Cancel")
NO_CANCEL = _("No, Cancel")
YES_CONT  = _("Yes, Continue")
DESELECT  = _("Press <space> to deselect the option.")


